diff --git a/CHANGELOG b/CHANGELOG
index bf37533..54ac30e 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -11,6 +11,7 @@
 - fix race when setting task done.
 - correct return status from do_mkdir.
 - fix localhost replicated mounts not working.
+- add "condrestart" to RedHat init script.
 
 4/1/2007 autofs-5.0.1 rc3
 -------------------------
diff --git a/redhat/autofs.init.in b/redhat/autofs.init.in
index a5e1f31..f0ed3d9 100644
--- a/redhat/autofs.init.in
+++ b/redhat/autofs.init.in
@@ -131,8 +131,13 @@ case "$1" in
 	reload)
 		reload
 		;;
+	condrestart)
+		if [ -f /var/lock/subsys/autofs ]; then
+			restart
+		fi
+		;;
 	*)
-		echo $"Usage: $0 {start|stop|status|restart|reload}"
+		echo $"Usage: $0 {start|stop|status|restart|reload|condrestart}"
 		exit 1;
 		;;
 esac
